org.eclipse.ease.debugging

## Interface IScriptDebugFrame

All Known Implementing Classes:
  RhinoDebugger.RhinoDebugFrame, ScriptDebugFrame

    public interface IScriptDebugFrame

### Field Summary

Fields
`static int` `TYPE_FILE`
`static int` `TYPE_FUNCTION`

### Method Summary

Methods
`int` `getLineNumber()`
`String` `getName()`
`Script` `getScript()`
`int` `getType()`
`Map<String,Object>` `getVariables()`

### Field Detail

#### TYPE_FILE

    static final int TYPE_FILE

See Also:
  Constant Field Values

#### TYPE_FUNCTION

    static final int TYPE_FUNCTION

See Also:
  Constant Field Values

### Method Detail

#### getLineNumber

    int getLineNumber()

#### getScript

    Script getScript()

#### getType

    int getType()

#### getName

    String getName()

#### getVariables

    Map<String,Object> getVariables()